
package nlib.col.service;

import nlib.restful.service.DataApiReqVO;
import nlib.restful.service.DataApiResVO;

public interface RentService
{
	/**
	 * 대출 목록 조회한다.
	 * 
	 * @param reqVO
	 * @return
	 */
	public DataApiResVO listRentItems(DataApiReqVO reqVO);

	/**
	 * 반납 연기 목록을 조회한다.
	 * 
	 * @param reqVO
	 * @return
	 */
	public DataApiResVO listPostpones(DataApiReqVO reqVO);

	/**
	 * 대출 취소 목록을 조회한다.
	 * 
	 * @param reqVO
	 * @return
	 */
	public DataApiResVO listCanceledRentItems(DataApiReqVO reqVO);

	/**
	 * 대출 예약 목록을 조회한다.
	 * 
	 * @param reqVO
	 * @return
	 */
	public DataApiResVO listReservations(DataApiReqVO reqVO);

	public DataApiResVO cancelReservations(DataApiReqVO reqVO);

	public DataApiResVO listRequestsForViewingItem(DataApiReqVO reqVO);

	public DataApiResVO selectRequestInfoForViewingItem(DataApiReqVO reqVO);


}